Bug 113182 - FILEOPEN: DOCX: Textbox wrap differs in MSO and LO
Summary: FILEOPEN: DOCX: Textbox wrap differs in MSO and LO
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Serge Krot (CIB)
URL:
Whiteboard: target:6.1.0 target:6.0.4
Keywords: filter:docx
Depends on:
Blocks:
 
Reported: 2017-10-17 11:34 UTC by Patrick Jaap
Modified: 2018-03-23 22:56 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
test file triggering the bug (12.13 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2017-10-17 11:35 UTC, Patrick Jaap
Details
comparison LibreOffice 6.0 and MSO 2010 (75.48 KB, image/png)
2017-10-17 11:42 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Patrick Jaap 2017-10-17 11:34:36 UTC
Description:
The attached file has a textbox. MSO 2013 wraps the text through the box, current master of LO wraps the text around the box.

Steps to Reproduce:
1. Open the file bsp1.docx in Writer

Actual Results:  
Text is wrapped around the box.

Expected Results:
Text is wrapped through the box like in MSO 2013.


Reproducible: Always

User Profile Reset: No

Additional Info:
In the document.xml the wrap is specified by "none". According to the current OOXML specification, the behavior of LO is right on the first sight. 

Opening the file in MSO, selecting "no wrap" in the options and saving the file leads to "notBeside" wrap information in xml file. In this case MSO and LO render the same wrap.

In the OOXML specification, "none" and "notBeside" have exactly the same description (?)


User-Agent: Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:56.0) Gecko/20100101 Firefox/56.0
Comment 1 Patrick Jaap 2017-10-17 11:35:34 UTC
Created attachment 137045 [details]
test file triggering the bug
Comment 2 Xisco Faulí 2017-10-17 11:42:08 UTC
Created attachment 137046 [details]
comparison LibreOffice 6.0 and MSO 2010
Comment 3 Xisco Faulí 2017-10-17 11:45:15 UTC
Reproduced in

- Version: 6.0.0.0.alpha0+
Build ID: 616f21db9e50a77b0c02dfb123f871a742f46216
CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

- Version: 4.3.0.0.alpha1+
Build ID: c15927f20d4727c3b8de68497b6949e72f9e6e9e

- Version 4.1.0.0.alpha0+ (Build ID: efca6f15609322f62a35619619a6d5fe5c9bd5a)

- LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4
Comment 4 Commit Notification 2018-03-16 14:41:37 UTC
Serge Krot committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=be02ce71f2ee694fa2609a7a630853c24acfbfff

tdf#113182: DOCX filter: new values of wrap property in text box

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Oliver Sander 2018-03-19 17:24:19 UTC
I confirm that the bug is fixed -- many thanks!

Can we please get a backport to the 6.0 branch?
Comment 6 Commit Notification 2018-03-23 22:56:43 UTC
Serge Krot committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=133821d1526800a93bb395a91f87dc77d29f0b8d&h=libreoffice-6-0

tdf#113182: DOCX filter: new values of wrap property in text box

It will be available in 6.0.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.